Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.doc
Class AntdocSubTask.SubElement

    java.lang.Object
      xdoclet.modules.doc.AntdocSubTask.SubElement

All Implemented Interfaces:
  Comparable

Enclosing class:
  AntdocSubTask

public class AntdocSubTask.SubElement
extends Object
implements Comparable

created
  29. august 2002

Constructor Summary
`AntdocSubTask.SubElement(AntdocSubTask.Element subject, xjavadoc.XMethod method, String name)`

Method Summary
`int` | `compareTo(Object o)`
`String` | `getDescription()`
`String` | `getName()`
`AntdocSubTask.Element` | `getSubject()`
`xjavadoc.XClass` | `getXClass()`
`boolean` | `isDynamicSubElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntdocSubTask.SubElement

    public AntdocSubTask.SubElement(AntdocSubTask.Element subject,
                                    xjavadoc.XMethod method,
                                    String name)

Method Detail

### getSubject

    public AntdocSubTask.Element getSubject()

### getName

    public String getName()

### isDynamicSubElement

    public boolean isDynamicSubElement()

### getXClass

    public xjavadoc.XClass getXClass()

### getDescription

    public String getDescription()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD